Subject: Re: [PATCH 4/5] refs.c: update rename_ref to use a transaction

From: Jonathan Nieder <[email-masked]>
Date: Fri, 25 Jul 2014 13:00:09 -0700

Ronnie Sahlberg wrote:

> Change refs.c to use a single transaction to copy/rename both the refs and
> its reflog.

Yay!

>             Since we are no longer using rename() to move the reflog file
> we no longer need to disallow rename_ref for refs with a symlink for its
> reflog so we can remove that test from the testsuite.

It's generally better to update the testsuite with the new expected
behavior instead. :)